<?php namespace App\ViewModels\Exame\ExameUpdateViewModel;

use App\Utils\Builder;

class ExameUpdateViewModelBuilder implements Builder
{

    protected $nome;

    public function setNome($nome)
    {
        $this->nome = $nome;
        return $this;
    }

    public function build() : ExameUpdateViewModel
    {
        $procedimento_update_vm = new ExameUpdateViewModel();
        $procedimento_update_vm->setNome($this->nome);

        return $procedimento_update_vm;
    }
}